org.keycloak.models.jpa.entities

## Class ClientScopeAttributeEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientScopeAttributeEntity

-     @Entity
      public class ClientScopeAttributeEntity
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientScopeAttributeEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientScopeEntity` | `clientScope`
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopeAttributeEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ClientScopeEntity` | `getClientScope()`
    `String` | `getName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setClientScope(ClientScopeEntity clientScope)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientScope

          protected ClientScopeEntity clientScope

    - #### name

          protected String name

    - #### value

          protected String value

  - ### Constructor Detail

    - #### ClientScopeAttributeEntity

          public ClientScopeAttributeEntity()

  - ### Method Detail

    - #### getClientScope

          public ClientScopeEntity getClientScope()

    - #### setClientScope

          public void setClientScope(ClientScopeEntity clientScope)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.